"""Small example OSC server

This program listens to several addresses, and prints some information about
received packets.
"""

from pythonosc.dispatcher import Dispatcher
from pythonosc import osc_server

def handler(unused_addr, args, volume):



 parser = argparse.ArgumentParser()
  parser.add_argument("--ip",
      default="127.0.0.1", help="The ip to listen on")
  parser.add_argument("--port",
      type=int, default=5005, help="The port to listen on")
  args = parser.parse_args()

  dispatcher = Dispatcher()
  dispatcher.map("/joint_states", handler)

  server = osc_server.ThreadingOSCUDPServer(("127.0.0.1", 8000), dispatcher)
  
  print("Serving on {}".format(server.server_address))
  server.serve_forever()
